Index: /trunk/MacFaceFloat/AssemblyInfo.cs
===================================================================
--- /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 97)
+++ /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 98)
@@ -27,6 +27,6 @@
 // ビルドおよびリビジョン番号を既定値にすることができます。
 
-[assembly: MacFace.FloatApp.ApplicationVersionString("2007-09-14 (アルファ版)")]
-[assembly: AssemblyInformationalVersion("1.0.0.0")]
+[assembly: MacFace.FloatApp.ApplicationVersionString("2007-12-05 (アルファ版)")]
+[assembly: AssemblyInformationalVersion("1.0.0.*")]
 [assembly: AssemblyVersion("1.0.*")]
 
Index: /trunk/MacFaceFloat/MacFaceApp.cs
===================================================================
--- /trunk/MacFaceFloat/MacFaceApp.cs	(revision 97)
+++ /trunk/MacFaceFloat/MacFaceApp.cs	(revision 98)
@@ -307,5 +307,5 @@
 				FaceDef.PatternSuite suite = FaceDef.PatternSuite.Normal;
 
-				long avilable = (long)memStats.TotalVisibleMemorySize * 1024 - memUsage.Used;
+				UInt64 avilable = (UInt64)memStats.TotalVisibleMemorySize * 1024 - memUsage.Used;
                 if (pageio_count > 100) 
 				{
Index: /trunk/MacFaceFloat/StatusWindow.cs
===================================================================
--- /trunk/MacFaceFloat/StatusWindow.cs	(revision 97)
+++ /trunk/MacFaceFloat/StatusWindow.cs	(revision 98)
@@ -129,7 +129,7 @@
 			int fh = memoryGraph.Height;
 
-			int totalMemory = (int)memStats.TotalVisibleMemorySize * 1024;
+            ulong totalMemory = (ulong)memStats.TotalVisibleMemorySize * 1024;
 			double rate = (double)fh / (totalMemory * 1.5);
-			int border = (int)(totalMemory * rate);
+            int border = (int)(totalMemory * rate);
 
 			g.FillRectangle(new SolidBrush(Color.White), 0, 0, fw, fh);
@@ -160,5 +160,5 @@
 				int h = 0;
 
-				long kernelTotal = usage.KernelNonPaged + usage.KernelPaged + usage.DriverTotal + usage.SystemCodeTotal;
+				UInt64 kernelTotal = usage.KernelNonPaged + usage.KernelPaged + usage.DriverTotal + usage.SystemCodeTotal;
 				h = (int)((kernelTotal) * rate);
 				y -= h;
@@ -169,5 +169,5 @@
 				g.FillRectangle(systemCacheBrush, x, y, w, h);
 
-				h = (int)(usage.Committed * rate);
+                h = (int)((usage.Committed - kernelTotal) * rate);
 				y -= h;
 				g.FillRectangle(commitedBrush, x, y, w, h);
Index: /trunk/MacFaceLibrary/FaceDef.cs
===================================================================
--- /trunk/MacFaceLibrary/FaceDef.cs	(revision 97)
+++ /trunk/MacFaceLibrary/FaceDef.cs	(revision 98)
@@ -209,4 +209,13 @@
 		}
 
+		public Image PatternImage(PatternSuite suite, int no, int markers)
+		{
+			Bitmap image = new Bitmap(ImageWidth, ImageHeight);
+			Graphics g = Graphics.FromImage(image);
+			DrawPatternImage(g, suite, no, markers);
+			g.Dispose();
+			return image;
+		}
+
 		public void DrawPatternImage(Graphics g, PatternSuite suite, int no, int markers, float rate)
 		{
@@ -257,13 +266,4 @@
 			}
 		}
-
-		public Image PatternImage(PatternSuite suite, int no, int markers)
-		{
-			Bitmap image = new Bitmap(ImageWidth, ImageHeight);
-			Graphics g = Graphics.FromImage(image);
-			DrawPatternImage(g, suite, no, markers);
-			g.Dispose();
-			return image;
-		}
 	}
 
Index: /trunk/MacFaceLibrary/MemoryStatistics.cs
===================================================================
--- /trunk/MacFaceLibrary/MemoryStatistics.cs	(revision 97)
+++ /trunk/MacFaceLibrary/MemoryStatistics.cs	(revision 98)
@@ -27,5 +27,5 @@
 		private PerformanceCounter commitLimitCounter;
 
-		private ulong totalVisibleMemorySize;
+		private UInt64 totalVisibleMemorySize;
 
 		public MemoryStatistics(int historySize)
@@ -105,5 +105,5 @@
 		}
 
-		public ulong TotalVisibleMemorySize 
+		public UInt64 TotalVisibleMemorySize 
 		{
 			get { return totalVisibleMemorySize; }
@@ -126,13 +126,13 @@
 		protected virtual MemoryUsage NextValue()
 		{
-			int available      = (int)availableCounter.NextValue();
-			int committed      = (int)committedCounter.NextValue();
+			UInt64 available      = (UInt64)availableCounter.NextValue();
+			UInt64 committed      = (UInt64)committedCounter.NextValue();
 			int pagein	       = (int)pageinCounter.NextValue();
 			int pageout        = (int)pageoutCounter.NextValue();
-			int systemCache    = (int)systemCacheCounter.NextValue();
-			int kernelPaged    = (int)kernelPagedCounter.NextValue();
-			int kernelNonPaged = (int)kernelNonPagedCounter.NextValue();
-			int driverTotal    = (int)driverTotalCounter.NextValue();
-			int systemCodeTotal = (int)systemCodeTotalCounter.NextValue();
+			UInt64 systemCache    = (UInt64)systemCacheCounter.NextValue();
+			UInt64 kernelPaged    = (UInt64)kernelPagedCounter.NextValue();
+			UInt64 kernelNonPaged = (UInt64)kernelNonPagedCounter.NextValue();
+			UInt64 driverTotal    = (UInt64)driverTotalCounter.NextValue();
+			UInt64 systemCodeTotal = (UInt64)systemCodeTotalCounter.NextValue();
 
 			return new MemoryUsage(available, committed, pagein, pageout,
Index: /trunk/MacFaceLibrary/MemoryStatisticsGlobalMemoryStatusEx.cs
===================================================================
--- /trunk/MacFaceLibrary/MemoryStatisticsGlobalMemoryStatusEx.cs	(revision 97)
+++ /trunk/MacFaceLibrary/MemoryStatisticsGlobalMemoryStatusEx.cs	(revision 98)
@@ -32,6 +32,6 @@
 			Unmanaged.GlobalMemoryStatusEx(ref memStat);
 
-			int available      = (int)(memStat.ullAvailPageFile);
-			int committed      = (int)(memStat.ullTotalPageFile - memStat.ullAvailPageFile);
+			UInt64 available      = (UInt64)(memStat.ullAvailPageFile);
+			UInt64 committed      = (UInt64)(memStat.ullTotalPageFile - memStat.ullAvailPageFile);
 			
 			return new MemoryUsage(available, committed, 0, 0,
Index: /trunk/MacFaceLibrary/MemoryStatisticsNtQuerySystemInformation.cs
===================================================================
--- /trunk/MacFaceLibrary/MemoryStatisticsNtQuerySystemInformation.cs	(revision 97)
+++ /trunk/MacFaceLibrary/MemoryStatisticsNtQuerySystemInformation.cs	(revision 98)
@@ -40,7 +40,7 @@
 				out retLen);
 
-			Int32 pageSize = 4096;
+			UInt32 pageSize = 4096;
 			
-			_commitLimit = (UInt32)(sysPerfInfo.TotalCommitLimit * pageSize);
+			_commitLimit = (UInt64)(sysPerfInfo.TotalCommitLimit * pageSize);
 			
 			Int32 pageIn = (Int32)((sysPerfInfo.PagesRead - _prevPagesRead)/ ((TimeSpan)(DateTime.Now - _prevCollectTime)).TotalSeconds);
@@ -51,13 +51,13 @@
 
 			return new MemoryUsage(
-				(Int32)sysPerfInfo.AvailablePages * pageSize,
-				(Int32)sysPerfInfo.TotalCommittedPages * pageSize,
+				(UInt64)sysPerfInfo.AvailablePages * pageSize,
+				(UInt64)sysPerfInfo.TotalCommittedPages * pageSize,
 				pageIn,
 				pageOut,
-				(Int32)sysPerfInfo.MmSystemCachePage * pageSize,
-				(Int32)sysPerfInfo.PagedPoolUsage * pageSize,
-				(Int32)sysPerfInfo.NonPagedPoolUsage * pageSize,
-				(Int32)sysPerfInfo.SystemDriverPage * pageSize,
-				(Int32)sysPerfInfo.SystemCodePage * pageSize);
+				(UInt64)sysPerfInfo.MmSystemCachePage * pageSize,
+				(UInt64)sysPerfInfo.PagedPoolUsage * pageSize,
+				(UInt64)sysPerfInfo.NonPagedPoolUsage * pageSize,
+				(UInt64)sysPerfInfo.SystemDriverPage * pageSize,
+				(UInt64)sysPerfInfo.SystemCodePage * pageSize);
 		}
 
Index: /trunk/MacFaceLibrary/MemoryStatisticsPSAPI.cs
===================================================================
--- /trunk/MacFaceLibrary/MemoryStatisticsPSAPI.cs	(revision 97)
+++ /trunk/MacFaceLibrary/MemoryStatisticsPSAPI.cs	(revision 98)
@@ -32,6 +32,6 @@
 			Unmanaged.GetPerformanceInfo(out pInfo, (UInt32)Marshal.SizeOf(typeof(Unmanaged.PERFORMANCE_INFORMATION)));
 
-			int available      = (int)(pInfo.PhysicalAvailable * pInfo.PageSize);
-			int committed      = (int)(pInfo.CommitTotal * pInfo.PageSize);
+			UInt64 available      = (UInt64)(pInfo.PhysicalAvailable * pInfo.PageSize);
+			UInt64 committed      = (UInt64)(pInfo.CommitTotal * pInfo.PageSize);
 			
 			// TODO:
@@ -39,12 +39,12 @@
 			int pageout        = (int)0;
 
-			int systemCache    = (int)(pInfo.SystemCache * pInfo.PageSize);
-			int kernelPaged    = (int)(pInfo.KernelPaged * pInfo.PageSize);
-			int kernelNonPaged = (int)(pInfo.KernelNonpaged * pInfo.PageSize);
+			UInt64 systemCache    = (UInt64)(pInfo.SystemCache * pInfo.PageSize);
+			UInt64 kernelPaged    = (UInt64)(pInfo.KernelPaged * pInfo.PageSize);
+			UInt64 kernelNonPaged = (UInt64)(pInfo.KernelNonpaged * pInfo.PageSize);
 
 			// XXX: Æè ¦¸ÐûÉUèª¯ÄµÜ¤
-			// int kernelTotal = usage.KernelNonPaged + usage.KernelPaged + usage.DriverTotal + usage.SystemCodeTotal;
-			int driverTotal    = (int)0;
-			int systemCodeTotal = (int)((pInfo.KernelTotal - (pInfo.KernelNonpaged + pInfo.KernelPaged)) * pInfo.PageSize);
+			// UInt64 kernelTotal = usage.KernelNonPaged + usage.KernelPaged + usage.DriverTotal + usage.SystemCodeTotal;
+			UInt64 driverTotal    = (UInt64)0;
+			UInt64 systemCodeTotal = (UInt64)((pInfo.KernelTotal - (pInfo.KernelNonpaged + pInfo.KernelPaged)) * pInfo.PageSize);
 
 			return new MemoryUsage(available, committed, pagein, pageout,
Index: /trunk/MacFaceLibrary/MemoryUsage.cs
===================================================================
--- /trunk/MacFaceLibrary/MemoryUsage.cs	(revision 97)
+++ /trunk/MacFaceLibrary/MemoryUsage.cs	(revision 98)
@@ -11,16 +11,16 @@
 	public class MemoryUsage
 	{
-		private int available;
-		private int committed;
+		private UInt64 available;
+        private UInt64 committed;
 		private int pagein;
 		private int pageout;
-		private int systemCache;
-		private int kernelPaged;
-		private int kernelNonPaged;
-		private int driverTotal;
-		private int systemCodeTotal;
+        private UInt64 systemCache;
+        private UInt64 kernelPaged;
+        private UInt64 kernelNonPaged;
+        private UInt64 driverTotal;
+        private UInt64 systemCodeTotal;
 
-		public MemoryUsage(int available, int committed, int pagein, int pageout,
-			int systemCache, int kernelPaged, int kernelNonPaged, int driverTotal, int systemCodeTotal)
+        public MemoryUsage(UInt64 available, UInt64 committed, int pagein, int pageout,
+            UInt64 systemCache, UInt64 kernelPaged, UInt64 kernelNonPaged, UInt64 driverTotal, UInt64 systemCodeTotal)
 		{
 			this.available = available;
@@ -35,15 +35,15 @@
 		}
 
-		public int Available
+		public UInt64 Available
 		{
 			get { return available; }
 		}
 
-		public int Used
+		public UInt64 Used
 		{
 			get { return committed + systemCache + kernelPaged + KernelNonPaged + DriverTotal + SystemCodeTotal; }
 		}
 
-		public int Committed
+		public UInt64 Committed
 		{
 			get { return committed; }
@@ -60,25 +60,25 @@
 		}
 
-		public int SystemCache
+		public UInt64 SystemCache
 		{
 			get { return systemCache; }
 		}
 
-		public int KernelPaged
+		public UInt64 KernelPaged
 		{
 			get { return kernelPaged; }
 		}
 
-		public int KernelNonPaged
+		public UInt64 KernelNonPaged
 		{
 			get { return kernelNonPaged; }
 		}
 
-		public int DriverTotal
+		public UInt64 DriverTotal
 		{
 			get { return driverTotal; }
 		}
 
-		public int SystemCodeTotal
+		public UInt64 SystemCodeTotal
 		{
 			get { return systemCodeTotal; }