Index: /trunk/MacFaceFloat/AssemblyInfo.cs
===================================================================
--- /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 106)
+++ /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 107)
@@ -12,5 +12,5 @@
 [assembly: AssemblyCompany("Team MacFace")]
 [assembly: AssemblyProduct("MacFace for Windows")]
-[assembly: AssemblyCopyright("Copyright © 2005-2007 Team MacFace, All rights reserved.")]
+[assembly: AssemblyCopyright("Copyright © 2005-2008 Team MacFace, All rights reserved.")]
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]		
@@ -27,5 +27,5 @@
 // ビルドおよびリビジョン番号を既定値にすることができます。
 
-[assembly: MacFace.FloatApp.ApplicationVersionString("2007-12-09 (アルファ版)")]
+[assembly: MacFace.FloatApp.ApplicationVersionString("2008-08-15 (アルファ版)")]
 //[assembly: AssemblyInformationalVersion("1.0.0.0")]
 [assembly: AssemblyVersion("1.0.*")]
Index: /trunk/MacFaceFloat/ConfigurationForm.cs
===================================================================
--- /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 106)
+++ /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 107)
@@ -137,5 +137,5 @@
             this.linkWebSite.Location = new System.Drawing.Point(72, 176);
             this.linkWebSite.Name = "linkWebSite";
-            this.linkWebSite.Size = new System.Drawing.Size(322, 16);
+            this.linkWebSite.Size = new System.Drawing.Size(330, 16);
             this.linkWebSite.TabIndex = 14;
             this.linkWebSite.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkWebSite_LinkClicked);
@@ -145,5 +145,5 @@
             this.buttonBrowse.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
             this.buttonBrowse.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.buttonBrowse.Location = new System.Drawing.Point(272, 192);
+            this.buttonBrowse.Location = new System.Drawing.Point(280, 192);
             this.buttonBrowse.Name = "buttonBrowse";
             this.buttonBrowse.Size = new System.Drawing.Size(95, 24);
@@ -160,5 +160,5 @@
             this.listViewFaces.Location = new System.Drawing.Point(8, 8);
             this.listViewFaces.Name = "listViewFaces";
-            this.listViewFaces.Size = new System.Drawing.Size(362, 160);
+            this.listViewFaces.Size = new System.Drawing.Size(370, 160);
             this.listViewFaces.TabIndex = 12;
             this.listViewFaces.UseCompatibleStateImageBehavior = false;
@@ -176,5 +176,5 @@
             this.groupBox1.Location = new System.Drawing.Point(10, 222);
             this.groupBox1.Name = "groupBox1";
-            this.groupBox1.Size = new System.Drawing.Size(360, 60);
+            this.groupBox1.Size = new System.Drawing.Size(368, 60);
             this.groupBox1.TabIndex = 19;
             this.groupBox1.TabStop = false;
@@ -184,5 +184,5 @@
             // 
             this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label5.Location = new System.Drawing.Point(304, 24);
+            this.label5.Location = new System.Drawing.Point(312, 24);
             this.label5.Name = "label5";
             this.label5.Size = new System.Drawing.Size(48, 11);
@@ -208,5 +208,5 @@
             this.trackBarOpacity.Minimum = 5;
             this.trackBarOpacity.Name = "trackBarOpacity";
-            this.trackBarOpacity.Size = new System.Drawing.Size(232, 45);
+            this.trackBarOpacity.Size = new System.Drawing.Size(240, 45);
             this.trackBarOpacity.TabIndex = 9;
             this.trackBarOpacity.TickFrequency = 10;
@@ -224,5 +224,5 @@
             this.groupBox2.Location = new System.Drawing.Point(10, 286);
             this.groupBox2.Name = "groupBox2";
-            this.groupBox2.Size = new System.Drawing.Size(360, 60);
+            this.groupBox2.Size = new System.Drawing.Size(368, 60);
             this.groupBox2.TabIndex = 20;
             this.groupBox2.TabStop = false;
@@ -232,5 +232,5 @@
             // 
             this.label7.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label7.Location = new System.Drawing.Point(312, 24);
+            this.label7.Location = new System.Drawing.Point(320, 24);
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(40, 11);
@@ -256,5 +256,5 @@
             this.trackBarPatternSize.Minimum = 10;
             this.trackBarPatternSize.Name = "trackBarPatternSize";
-            this.trackBarPatternSize.Size = new System.Drawing.Size(232, 45);
+            this.trackBarPatternSize.Size = new System.Drawing.Size(240, 45);
             this.trackBarPatternSize.TabIndex = 19;
             this.trackBarPatternSize.TickFrequency = 10;
@@ -265,5 +265,5 @@
             // 
             this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
-            this.ClientSize = new System.Drawing.Size(378, 376);
+            this.ClientSize = new System.Drawing.Size(386, 376);
             this.Controls.Add(this.groupBox2);
             this.Controls.Add(this.groupBox1);
Index: /trunk/MacFaceFloat/PatternWindow.cs
===================================================================
--- /trunk/MacFaceFloat/PatternWindow.cs	(revision 106)
+++ /trunk/MacFaceFloat/PatternWindow.cs	(revision 107)
@@ -85,5 +85,16 @@
 		}
 
-		protected override CreateParams	CreateParams
+
+        public Boolean
+        TransparentMouseMessage
+        {
+            set
+            {
+                base.TransparentMouseMessage = value;
+                this.TopMost = value;
+            }
+        }
+        
+        protected override CreateParams	CreateParams
 		{
 			get