Index: /trunk/MacFaceFloat/ConfigurationForm.cs
===================================================================
--- /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 108)
+++ /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 109)
@@ -37,4 +37,10 @@
         private LinkLabel linkWebSite;
         private Label label1;
+        private Label label3;
+        private Label label4;
+        private Label lblAuthor;
+        private Label lblVersion;
+        private Label label9;
+        private Label lblTitle;
 		private System.ComponentModel.IContainer components;
 
@@ -91,4 +97,10 @@
             this.linkWebSite = new System.Windows.Forms.LinkLabel();
             this.label1 = new System.Windows.Forms.Label();
+            this.label3 = new System.Windows.Forms.Label();
+            this.label4 = new System.Windows.Forms.Label();
+            this.lblAuthor = new System.Windows.Forms.Label();
+            this.lblVersion = new System.Windows.Forms.Label();
+            this.label9 = new System.Windows.Forms.Label();
+            this.lblTitle = new System.Windows.Forms.Label();
             this.groupBox1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.trackBarOpacity)).BeginInit();
@@ -116,7 +128,7 @@
                         | System.Windows.Forms.AnchorStyles.Right)));
             this.checkMouseMessage.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.checkMouseMessage.Location = new System.Drawing.Point(198, 255);
+            this.checkMouseMessage.Location = new System.Drawing.Point(214, 255);
             this.checkMouseMessage.Name = "checkMouseMessage";
-            this.checkMouseMessage.Size = new System.Drawing.Size(284, 16);
+            this.checkMouseMessage.Size = new System.Drawing.Size(268, 16);
             this.checkMouseMessage.TabIndex = 6;
             this.checkMouseMessage.Text = "}EXÌ®ìðwÊÌEBhEÖ`¦é(&T)";
@@ -142,5 +154,5 @@
             this.listViewFaces.MultiSelect = false;
             this.listViewFaces.Name = "listViewFaces";
-            this.listViewFaces.Size = new System.Drawing.Size(178, 325);
+            this.listViewFaces.Size = new System.Drawing.Size(196, 325);
             this.listViewFaces.TabIndex = 12;
             this.listViewFaces.UseCompatibleStateImageBehavior = false;
@@ -156,7 +168,7 @@
             this.groupBox1.Controls.Add(this.trackBarOpacity);
             this.groupBox1.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.groupBox1.Location = new System.Drawing.Point(198, 123);
+            this.groupBox1.Location = new System.Drawing.Point(214, 123);
             this.groupBox1.Name = "groupBox1";
-            this.groupBox1.Size = new System.Drawing.Size(284, 60);
+            this.groupBox1.Size = new System.Drawing.Size(268, 60);
             this.groupBox1.TabIndex = 19;
             this.groupBox1.TabStop = false;
@@ -166,5 +178,5 @@
             // 
             this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label5.Location = new System.Drawing.Point(228, 24);
+            this.label5.Location = new System.Drawing.Point(212, 24);
             this.label5.Name = "label5";
             this.label5.Size = new System.Drawing.Size(48, 11);
@@ -190,5 +202,5 @@
             this.trackBarOpacity.Minimum = 5;
             this.trackBarOpacity.Name = "trackBarOpacity";
-            this.trackBarOpacity.Size = new System.Drawing.Size(176, 45);
+            this.trackBarOpacity.Size = new System.Drawing.Size(160, 45);
             this.trackBarOpacity.TabIndex = 9;
             this.trackBarOpacity.TickFrequency = 10;
@@ -204,7 +216,7 @@
             this.groupBox2.Controls.Add(this.trackBarPatternSize);
             this.groupBox2.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.groupBox2.Location = new System.Drawing.Point(198, 189);
+            this.groupBox2.Location = new System.Drawing.Point(214, 189);
             this.groupBox2.Name = "groupBox2";
-            this.groupBox2.Size = new System.Drawing.Size(284, 60);
+            this.groupBox2.Size = new System.Drawing.Size(268, 60);
             this.groupBox2.TabIndex = 20;
             this.groupBox2.TabStop = false;
@@ -214,5 +226,5 @@
             // 
             this.label7.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label7.Location = new System.Drawing.Point(236, 24);
+            this.label7.Location = new System.Drawing.Point(220, 24);
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(40, 11);
@@ -238,5 +250,5 @@
             this.trackBarPatternSize.Minimum = 10;
             this.trackBarPatternSize.Name = "trackBarPatternSize";
-            this.trackBarPatternSize.Size = new System.Drawing.Size(176, 45);
+            this.trackBarPatternSize.Size = new System.Drawing.Size(160, 45);
             this.trackBarPatternSize.TabIndex = 19;
             this.trackBarPatternSize.TickFrequency = 10;
@@ -248,7 +260,8 @@
             this.linkWebSite.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
                         | System.Windows.Forms.AnchorStyles.Right)));
-            this.linkWebSite.Location = new System.Drawing.Point(265, 12);
+            this.linkWebSite.AutoSize = true;
+            this.linkWebSite.Location = new System.Drawing.Point(283, 66);
             this.linkWebSite.Name = "linkWebSite";
-            this.linkWebSite.Size = new System.Drawing.Size(217, 16);
+            this.linkWebSite.Size = new System.Drawing.Size(0, 12);
             this.linkWebSite.TabIndex = 14;
             this.linkWebSite.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkWebSite_LinkClicked);
@@ -256,5 +269,5 @@
             // label1
             // 
-            this.label1.Location = new System.Drawing.Point(196, 12);
+            this.label1.Location = new System.Drawing.Point(214, 66);
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(63, 17);
@@ -262,8 +275,65 @@
             this.label1.Text = "EFuTCg:";
             // 
+            // label3
+            // 
+            this.label3.Location = new System.Drawing.Point(214, 32);
+            this.label3.Name = "label3";
+            this.label3.Size = new System.Drawing.Size(63, 17);
+            this.label3.TabIndex = 22;
+            this.label3.Text = "»ìÒ:";
+            // 
+            // label4
+            // 
+            this.label4.Location = new System.Drawing.Point(214, 49);
+            this.label4.Name = "label4";
+            this.label4.Size = new System.Drawing.Size(63, 17);
+            this.label4.TabIndex = 22;
+            this.label4.Text = "o[W:";
+            // 
+            // lblAuthor
+            // 
+            this.lblAuthor.AutoSize = true;
+            this.lblAuthor.Location = new System.Drawing.Point(283, 32);
+            this.lblAuthor.Name = "lblAuthor";
+            this.lblAuthor.Size = new System.Drawing.Size(17, 12);
+            this.lblAuthor.TabIndex = 23;
+            this.lblAuthor.Text = "--";
+            // 
+            // lblVersion
+            // 
+            this.lblVersion.AutoSize = true;
+            this.lblVersion.Location = new System.Drawing.Point(283, 49);
+            this.lblVersion.Name = "lblVersion";
+            this.lblVersion.Size = new System.Drawing.Size(17, 12);
+            this.lblVersion.TabIndex = 24;
+            this.lblVersion.Text = "--";
+            // 
+            // label9
+            // 
+            this.label9.Location = new System.Drawing.Point(214, 15);
+            this.label9.Name = "label9";
+            this.label9.Size = new System.Drawing.Size(63, 17);
+            this.label9.TabIndex = 22;
+            this.label9.Text = "¼Ì:";
+            // 
+            // lblTitle
+            // 
+            this.lblTitle.AutoSize = true;
+            this.lblTitle.Location = new System.Drawing.Point(283, 15);
+            this.lblTitle.Name = "lblTitle";
+            this.lblTitle.Size = new System.Drawing.Size(17, 12);
+            this.lblTitle.TabIndex = 23;
+            this.lblTitle.Text = "--";
+            // 
             // ConfigurationForm
             // 
             this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
             this.ClientSize = new System.Drawing.Size(494, 349);
+            this.Controls.Add(this.lblVersion);
+            this.Controls.Add(this.lblTitle);
+            this.Controls.Add(this.lblAuthor);
+            this.Controls.Add(this.label9);
+            this.Controls.Add(this.label4);
+            this.Controls.Add(this.label3);
             this.Controls.Add(this.groupBox2);
             this.Controls.Add(this.groupBox1);
@@ -288,4 +358,5 @@
             ((System.ComponentModel.ISupportInitialize)(this.trackBarPatternSize)).EndInit();
             this.ResumeLayout(false);
+            this.PerformLayout();
 
 		}
@@ -398,12 +469,18 @@
 			{
 				ListViewItem item = listViewFaces.SelectedItems[0];
-				linkWebSite.Text = item.SubItems[4].Text;
-
-				_config.FaceDefPath = item.SubItems[1].Text;
+                lblTitle.Text = item.Text;
+                lblAuthor.Text = item.SubItems[2].Text;
+                lblVersion.Text = item.SubItems[3].Text;
+                linkWebSite.Text = item.SubItems[4].Text;
+
+                _config.FaceDefPath = item.SubItems[1].Text;
 				ConfigChanged();
-			}
+            }
 			else 
 			{
-				linkWebSite.Text = "";
+                lblTitle.Text = "";
+                lblAuthor.Text = "";
+                lblVersion.Text = "";
+                linkWebSite.Text = "";
 			} 
 		}