Index: /trunk/MacFaceFloat/ConfigurationForm.cs
===================================================================
--- /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 109)
+++ /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 110)
@@ -128,7 +128,7 @@
                         | System.Windows.Forms.AnchorStyles.Right)));
             this.checkMouseMessage.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.checkMouseMessage.Location = new System.Drawing.Point(214, 255);
+            this.checkMouseMessage.Location = new System.Drawing.Point(216, 255);
             this.checkMouseMessage.Name = "checkMouseMessage";
-            this.checkMouseMessage.Size = new System.Drawing.Size(268, 16);
+            this.checkMouseMessage.Size = new System.Drawing.Size(266, 16);
             this.checkMouseMessage.TabIndex = 6;
             this.checkMouseMessage.Text = "}EXÌ®ìðwÊÌEBhEÖ`¦é(&T)";
@@ -154,5 +154,5 @@
             this.listViewFaces.MultiSelect = false;
             this.listViewFaces.Name = "listViewFaces";
-            this.listViewFaces.Size = new System.Drawing.Size(196, 325);
+            this.listViewFaces.Size = new System.Drawing.Size(198, 325);
             this.listViewFaces.TabIndex = 12;
             this.listViewFaces.UseCompatibleStateImageBehavior = false;
@@ -168,7 +168,7 @@
             this.groupBox1.Controls.Add(this.trackBarOpacity);
             this.groupBox1.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.groupBox1.Location = new System.Drawing.Point(214, 123);
+            this.groupBox1.Location = new System.Drawing.Point(216, 123);
             this.groupBox1.Name = "groupBox1";
-            this.groupBox1.Size = new System.Drawing.Size(268, 60);
+            this.groupBox1.Size = new System.Drawing.Size(266, 60);
             this.groupBox1.TabIndex = 19;
             this.groupBox1.TabStop = false;
@@ -178,5 +178,5 @@
             // 
             this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label5.Location = new System.Drawing.Point(212, 24);
+            this.label5.Location = new System.Drawing.Point(210, 24);
             this.label5.Name = "label5";
             this.label5.Size = new System.Drawing.Size(48, 11);
@@ -202,5 +202,5 @@
             this.trackBarOpacity.Minimum = 5;
             this.trackBarOpacity.Name = "trackBarOpacity";
-            this.trackBarOpacity.Size = new System.Drawing.Size(160, 45);
+            this.trackBarOpacity.Size = new System.Drawing.Size(158, 45);
             this.trackBarOpacity.TabIndex = 9;
             this.trackBarOpacity.TickFrequency = 10;
@@ -216,7 +216,7 @@
             this.groupBox2.Controls.Add(this.trackBarPatternSize);
             this.groupBox2.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.groupBox2.Location = new System.Drawing.Point(214, 189);
+            this.groupBox2.Location = new System.Drawing.Point(216, 189);
             this.groupBox2.Name = "groupBox2";
-            this.groupBox2.Size = new System.Drawing.Size(268, 60);
+            this.groupBox2.Size = new System.Drawing.Size(266, 60);
             this.groupBox2.TabIndex = 20;
             this.groupBox2.TabStop = false;
@@ -226,5 +226,5 @@
             // 
             this.label7.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label7.Location = new System.Drawing.Point(220, 24);
+            this.label7.Location = new System.Drawing.Point(218, 24);
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(40, 11);
@@ -250,5 +250,5 @@
             this.trackBarPatternSize.Minimum = 10;
             this.trackBarPatternSize.Name = "trackBarPatternSize";
-            this.trackBarPatternSize.Size = new System.Drawing.Size(160, 45);
+            this.trackBarPatternSize.Size = new System.Drawing.Size(158, 45);
             this.trackBarPatternSize.TabIndex = 19;
             this.trackBarPatternSize.TickFrequency = 10;
@@ -258,18 +258,19 @@
             // linkWebSite
             // 
-            this.linkWebSite.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                        | System.Windows.Forms.AnchorStyles.Right)));
-            this.linkWebSite.AutoSize = true;
+            this.linkWebSite.Anchor = System.Windows.Forms.AnchorStyles.Right;
+            this.linkWebSite.AutoEllipsis = true;
             this.linkWebSite.Location = new System.Drawing.Point(283, 66);
             this.linkWebSite.Name = "linkWebSite";
-            this.linkWebSite.Size = new System.Drawing.Size(0, 12);
+            this.linkWebSite.Size = new System.Drawing.Size(199, 12);
             this.linkWebSite.TabIndex = 14;
+            this.linkWebSite.TabStop = true;
+            this.linkWebSite.Text = "--";
             this.linkWebSite.LinkClicked += new System.Windows.Forms.LinkLabelLinkClickedEventHandler(this.linkWebSite_LinkClicked);
             // 
             // label1
             // 
-            this.label1.Location = new System.Drawing.Point(214, 66);
+            this.label1.Location = new System.Drawing.Point(216, 66);
             this.label1.Name = "label1";
-            this.label1.Size = new System.Drawing.Size(63, 17);
+            this.label1.Size = new System.Drawing.Size(61, 17);
             this.label1.TabIndex = 15;
             this.label1.Text = "EFuTCg:";
@@ -277,7 +278,7 @@
             // label3
             // 
-            this.label3.Location = new System.Drawing.Point(214, 32);
+            this.label3.Location = new System.Drawing.Point(216, 32);
             this.label3.Name = "label3";
-            this.label3.Size = new System.Drawing.Size(63, 17);
+            this.label3.Size = new System.Drawing.Size(61, 17);
             this.label3.TabIndex = 22;
             this.label3.Text = "»ìÒ:";
@@ -285,7 +286,7 @@
             // label4
             // 
-            this.label4.Location = new System.Drawing.Point(214, 49);
+            this.label4.Location = new System.Drawing.Point(216, 49);
             this.label4.Name = "label4";
-            this.label4.Size = new System.Drawing.Size(63, 17);
+            this.label4.Size = new System.Drawing.Size(61, 17);
             this.label4.TabIndex = 22;
             this.label4.Text = "o[W:";
@@ -293,8 +294,8 @@
             // lblAuthor
             // 
-            this.lblAuthor.AutoSize = true;
+            this.lblAuthor.Anchor = System.Windows.Forms.AnchorStyles.Right;
             this.lblAuthor.Location = new System.Drawing.Point(283, 32);
             this.lblAuthor.Name = "lblAuthor";
-            this.lblAuthor.Size = new System.Drawing.Size(17, 12);
+            this.lblAuthor.Size = new System.Drawing.Size(199, 12);
             this.lblAuthor.TabIndex = 23;
             this.lblAuthor.Text = "--";
@@ -302,8 +303,8 @@
             // lblVersion
             // 
-            this.lblVersion.AutoSize = true;
+            this.lblVersion.Anchor = System.Windows.Forms.AnchorStyles.Right;
             this.lblVersion.Location = new System.Drawing.Point(283, 49);
             this.lblVersion.Name = "lblVersion";
-            this.lblVersion.Size = new System.Drawing.Size(17, 12);
+            this.lblVersion.Size = new System.Drawing.Size(199, 12);
             this.lblVersion.TabIndex = 24;
             this.lblVersion.Text = "--";
@@ -311,7 +312,7 @@
             // label9
             // 
-            this.label9.Location = new System.Drawing.Point(214, 15);
+            this.label9.Location = new System.Drawing.Point(216, 15);
             this.label9.Name = "label9";
-            this.label9.Size = new System.Drawing.Size(63, 17);
+            this.label9.Size = new System.Drawing.Size(61, 17);
             this.label9.TabIndex = 22;
             this.label9.Text = "¼Ì:";
@@ -319,8 +320,8 @@
             // lblTitle
             // 
-            this.lblTitle.AutoSize = true;
+            this.lblTitle.Anchor = System.Windows.Forms.AnchorStyles.Right;
             this.lblTitle.Location = new System.Drawing.Point(283, 15);
             this.lblTitle.Name = "lblTitle";
-            this.lblTitle.Size = new System.Drawing.Size(17, 12);
+            this.lblTitle.Size = new System.Drawing.Size(199, 12);
             this.lblTitle.TabIndex = 23;
             this.lblTitle.Text = "--";
@@ -358,5 +359,4 @@
             ((System.ComponentModel.ISupportInitialize)(this.trackBarPatternSize)).EndInit();
             this.ResumeLayout(false);
-            this.PerformLayout();
 
 		}