Index: /trunk/MacFaceFloat/AssemblyInfo.cs
===================================================================
--- /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 110)
+++ /trunk/MacFaceFloat/AssemblyInfo.cs	(revision 111)
@@ -27,5 +27,5 @@
 // ビルドおよびリビジョン番号を既定値にすることができます。
 
-[assembly: MacFace.FloatApp.ApplicationVersionString("2008-08-15 (アルファ版)")]
+[assembly: MacFace.FloatApp.ApplicationVersionString("2008-09-02 (アルファ版)")]
 //[assembly: AssemblyInformationalVersion("1.0.0.0")]
 [assembly: AssemblyVersion("1.0.*")]
Index: /trunk/MacFaceFloat/Configuration.cs
===================================================================
--- /trunk/MacFaceFloat/Configuration.cs	(revision 110)
+++ /trunk/MacFaceFloat/Configuration.cs	(revision 111)
@@ -37,9 +37,13 @@
 		public Int32 Opacity = 100;
 
-		[AutoConfigure("form.faceform.patternsize")]
-		[Category("p^[EChE"), Description("p^[Ìå«³10-100ÌÅwèµÜ·B")]
-		public Int32 PatternSize = 100;
+        [AutoConfigure("form.faceform.patternsize")]
+        [Category("p^[EChE"), Description("p^[Ìå«³10-100ÌÅwèµÜ·B")]
+        public Int32 PatternSize = 100;
 
-		[AutoConfigure("form.faceform.transparentmousemessage")]
+        [AutoConfigure("form.faceform.updatespeed")]
+        [Category("p^[EChE"), Description("XV¬x1-10ÌÅwèµÜ·B")]
+        public Int32 UpdateSpeed = 1;
+
+        [AutoConfigure("form.faceform.transparentmousemessage")]
 		[Category("p^[EChE"), Description("}EXbZ[Wð§ß³¹é©Ç¤©ðwèµÜ·B")]
 		public bool TransparentMouseMessage;
Index: /trunk/MacFaceFloat/ConfigurationForm.cs
===================================================================
--- /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 110)
+++ /trunk/MacFaceFloat/ConfigurationForm.cs	(revision 111)
@@ -43,4 +43,9 @@
         private Label label9;
         private Label lblTitle;
+        private GroupBox groupBox3;
+        private Label label11;
+        private Label label10;
+        private TrackBar trackBarUpdateSpeed;
+        private Label label12;
 		private System.ComponentModel.IContainer components;
 
@@ -103,8 +108,15 @@
             this.label9 = new System.Windows.Forms.Label();
             this.lblTitle = new System.Windows.Forms.Label();
+            this.groupBox3 = new System.Windows.Forms.GroupBox();
+            this.label11 = new System.Windows.Forms.Label();
+            this.label10 = new System.Windows.Forms.Label();
+            this.trackBarUpdateSpeed = new System.Windows.Forms.TrackBar();
+            this.label12 = new System.Windows.Forms.Label();
             this.groupBox1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.trackBarOpacity)).BeginInit();
             this.groupBox2.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.trackBarPatternSize)).BeginInit();
+            this.groupBox3.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.trackBarUpdateSpeed)).BeginInit();
             this.SuspendLayout();
             // 
@@ -128,8 +140,8 @@
                         | System.Windows.Forms.AnchorStyles.Right)));
             this.checkMouseMessage.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.checkMouseMessage.Location = new System.Drawing.Point(216, 255);
+            this.checkMouseMessage.Location = new System.Drawing.Point(218, 321);
             this.checkMouseMessage.Name = "checkMouseMessage";
             this.checkMouseMessage.Size = new System.Drawing.Size(266, 16);
-            this.checkMouseMessage.TabIndex = 6;
+            this.checkMouseMessage.TabIndex = 12;
             this.checkMouseMessage.Text = "}EXÌ®ìðwÊÌEBhEÖ`¦é(&T)";
             this.checkMouseMessage.Click += new System.EventHandler(this.checkMouseMessage_Click);
@@ -155,5 +167,5 @@
             this.listViewFaces.Name = "listViewFaces";
             this.listViewFaces.Size = new System.Drawing.Size(198, 325);
-            this.listViewFaces.TabIndex = 12;
+            this.listViewFaces.TabIndex = 0;
             this.listViewFaces.UseCompatibleStateImageBehavior = false;
             this.listViewFaces.SelectedIndexChanged += new System.EventHandler(this.listViewFaces_SelectedIndexChanged);
@@ -168,8 +180,8 @@
             this.groupBox1.Controls.Add(this.trackBarOpacity);
             this.groupBox1.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.groupBox1.Location = new System.Drawing.Point(216, 123);
+            this.groupBox1.Location = new System.Drawing.Point(216, 97);
             this.groupBox1.Name = "groupBox1";
-            this.groupBox1.Size = new System.Drawing.Size(266, 60);
-            this.groupBox1.TabIndex = 19;
+            this.groupBox1.Size = new System.Drawing.Size(268, 60);
+            this.groupBox1.TabIndex = 9;
             this.groupBox1.TabStop = false;
             this.groupBox1.Text = "§¾x";
@@ -178,8 +190,8 @@
             // 
             this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label5.Location = new System.Drawing.Point(210, 24);
+            this.label5.Location = new System.Drawing.Point(212, 24);
             this.label5.Name = "label5";
             this.label5.Size = new System.Drawing.Size(48, 11);
-            this.label5.TabIndex = 12;
+            this.label5.TabIndex = 2;
             this.label5.Text = "s§¾";
             this.label5.TextAlign = System.Drawing.ContentAlignment.TopRight;
@@ -190,5 +202,5 @@
             this.label2.Name = "label2";
             this.label2.Size = new System.Drawing.Size(40, 11);
-            this.label2.TabIndex = 11;
+            this.label2.TabIndex = 0;
             this.label2.Text = "§¾";
             // 
@@ -202,6 +214,6 @@
             this.trackBarOpacity.Minimum = 5;
             this.trackBarOpacity.Name = "trackBarOpacity";
-            this.trackBarOpacity.Size = new System.Drawing.Size(158, 45);
-            this.trackBarOpacity.TabIndex = 9;
+            this.trackBarOpacity.Size = new System.Drawing.Size(160, 45);
+            this.trackBarOpacity.TabIndex = 1;
             this.trackBarOpacity.TickFrequency = 10;
             this.trackBarOpacity.Value = 100;
@@ -216,8 +228,8 @@
             this.groupBox2.Controls.Add(this.trackBarPatternSize);
             this.groupBox2.FlatStyle = System.Windows.Forms.FlatStyle.System;
-            this.groupBox2.Location = new System.Drawing.Point(216, 189);
+            this.groupBox2.Location = new System.Drawing.Point(216, 163);
             this.groupBox2.Name = "groupBox2";
-            this.groupBox2.Size = new System.Drawing.Size(266, 60);
-            this.groupBox2.TabIndex = 20;
+            this.groupBox2.Size = new System.Drawing.Size(268, 60);
+            this.groupBox2.TabIndex = 10;
             this.groupBox2.TabStop = false;
             this.groupBox2.Text = "p^[Ìå«³";
@@ -226,8 +238,8 @@
             // 
             this.label7.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
-            this.label7.Location = new System.Drawing.Point(218, 24);
+            this.label7.Location = new System.Drawing.Point(220, 24);
             this.label7.Name = "label7";
             this.label7.Size = new System.Drawing.Size(40, 11);
-            this.label7.TabIndex = 21;
+            this.label7.TabIndex = 2;
             this.label7.Text = "Åå";
             this.label7.TextAlign = System.Drawing.ContentAlignment.TopRight;
@@ -238,5 +250,5 @@
             this.label8.Name = "label8";
             this.label8.Size = new System.Drawing.Size(40, 11);
-            this.label8.TabIndex = 20;
+            this.label8.TabIndex = 0;
             this.label8.Text = "Å¬";
             // 
@@ -250,6 +262,6 @@
             this.trackBarPatternSize.Minimum = 10;
             this.trackBarPatternSize.Name = "trackBarPatternSize";
-            this.trackBarPatternSize.Size = new System.Drawing.Size(158, 45);
-            this.trackBarPatternSize.TabIndex = 19;
+            this.trackBarPatternSize.Size = new System.Drawing.Size(160, 45);
+            this.trackBarPatternSize.TabIndex = 1;
             this.trackBarPatternSize.TickFrequency = 10;
             this.trackBarPatternSize.Value = 100;
@@ -263,5 +275,5 @@
             this.linkWebSite.Name = "linkWebSite";
             this.linkWebSite.Size = new System.Drawing.Size(199, 12);
-            this.linkWebSite.TabIndex = 14;
+            this.linkWebSite.TabIndex = 8;
             this.linkWebSite.TabStop = true;
             this.linkWebSite.Text = "--";
@@ -273,5 +285,5 @@
             this.label1.Name = "label1";
             this.label1.Size = new System.Drawing.Size(61, 17);
-            this.label1.TabIndex = 15;
+            this.label1.TabIndex = 7;
             this.label1.Text = "EFuTCg:";
             // 
@@ -281,5 +293,5 @@
             this.label3.Name = "label3";
             this.label3.Size = new System.Drawing.Size(61, 17);
-            this.label3.TabIndex = 22;
+            this.label3.TabIndex = 3;
             this.label3.Text = "»ìÒ:";
             // 
@@ -289,5 +301,5 @@
             this.label4.Name = "label4";
             this.label4.Size = new System.Drawing.Size(61, 17);
-            this.label4.TabIndex = 22;
+            this.label4.TabIndex = 5;
             this.label4.Text = "o[W:";
             // 
@@ -298,5 +310,5 @@
             this.lblAuthor.Name = "lblAuthor";
             this.lblAuthor.Size = new System.Drawing.Size(199, 12);
-            this.lblAuthor.TabIndex = 23;
+            this.lblAuthor.TabIndex = 4;
             this.lblAuthor.Text = "--";
             // 
@@ -307,5 +319,5 @@
             this.lblVersion.Name = "lblVersion";
             this.lblVersion.Size = new System.Drawing.Size(199, 12);
-            this.lblVersion.TabIndex = 24;
+            this.lblVersion.TabIndex = 6;
             this.lblVersion.Text = "--";
             // 
@@ -315,5 +327,5 @@
             this.label9.Name = "label9";
             this.label9.Size = new System.Drawing.Size(61, 17);
-            this.label9.TabIndex = 22;
+            this.label9.TabIndex = 1;
             this.label9.Text = "¼Ì:";
             // 
@@ -324,6 +336,57 @@
             this.lblTitle.Name = "lblTitle";
             this.lblTitle.Size = new System.Drawing.Size(199, 12);
-            this.lblTitle.TabIndex = 23;
+            this.lblTitle.TabIndex = 2;
             this.lblTitle.Text = "--";
+            // 
+            // groupBox3
+            // 
+            this.groupBox3.Controls.Add(this.label12);
+            this.groupBox3.Controls.Add(this.label11);
+            this.groupBox3.Controls.Add(this.label10);
+            this.groupBox3.Controls.Add(this.trackBarUpdateSpeed);
+            this.groupBox3.Location = new System.Drawing.Point(216, 226);
+            this.groupBox3.Name = "groupBox3";
+            this.groupBox3.Size = new System.Drawing.Size(268, 72);
+            this.groupBox3.TabIndex = 11;
+            this.groupBox3.TabStop = false;
+            this.groupBox3.Text = "XVÔu";
+            // 
+            // label11
+            // 
+            this.label11.Location = new System.Drawing.Point(6, 49);
+            this.label11.Name = "label11";
+            this.label11.Size = new System.Drawing.Size(38, 11);
+            this.label11.TabIndex = 2;
+            this.label11.Text = "0.1b";
+            this.label11.TextAlign = System.Drawing.ContentAlignment.TopCenter;
+            // 
+            // label10
+            // 
+            this.label10.Location = new System.Drawing.Point(232, 49);
+            this.label10.Name = "label10";
+            this.label10.Size = new System.Drawing.Size(29, 11);
+            this.label10.TabIndex = 1;
+            this.label10.Text = "1b";
+            this.label10.TextAlign = System.Drawing.ContentAlignment.TopCenter;
+            // 
+            // trackBarUpdateSpeed
+            // 
+            this.trackBarUpdateSpeed.LargeChange = 1;
+            this.trackBarUpdateSpeed.Location = new System.Drawing.Point(10, 14);
+            this.trackBarUpdateSpeed.Minimum = 1;
+            this.trackBarUpdateSpeed.Name = "trackBarUpdateSpeed";
+            this.trackBarUpdateSpeed.Size = new System.Drawing.Size(250, 45);
+            this.trackBarUpdateSpeed.TabIndex = 0;
+            this.trackBarUpdateSpeed.Value = 10;
+            this.trackBarUpdateSpeed.ValueChanged += new System.EventHandler(this.trackBarUpdateSpeed_ValueChanged);
+            // 
+            // label12
+            // 
+            this.label12.Location = new System.Drawing.Point(129, 49);
+            this.label12.Name = "label12";
+            this.label12.Size = new System.Drawing.Size(38, 11);
+            this.label12.TabIndex = 2;
+            this.label12.Text = "0.5b";
+            this.label12.TextAlign = System.Drawing.ContentAlignment.TopCenter;
             // 
             // ConfigurationForm
@@ -331,5 +394,7 @@
             this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
             this.ClientSize = new System.Drawing.Size(494, 349);
+            this.Controls.Add(this.groupBox3);
             this.Controls.Add(this.lblVersion);
+            this.Controls.Add(this.checkMouseMessage);
             this.Controls.Add(this.lblTitle);
             this.Controls.Add(this.lblAuthor);
@@ -343,5 +408,4 @@
             this.Controls.Add(this.buttonBrowse);
             this.Controls.Add(this.listViewFaces);
-            this.Controls.Add(this.checkMouseMessage);
             this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
             this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
@@ -358,4 +422,7 @@
             this.groupBox2.PerformLayout();
             ((System.ComponentModel.ISupportInitialize)(this.trackBarPatternSize)).EndInit();
+            this.groupBox3.ResumeLayout(false);
+            this.groupBox3.PerformLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.trackBarUpdateSpeed)).EndInit();
             this.ResumeLayout(false);
 
@@ -367,6 +434,7 @@
 			// úlÌZbg
 			trackBarOpacity.Value = _config.Opacity;
-			trackBarPatternSize.Value = _config.PatternSize;
-			checkMouseMessage.Checked = _config.TransparentMouseMessage;
+            trackBarPatternSize.Value = _config.PatternSize;
+            trackBarUpdateSpeed.Value = _config.UpdateSpeed;
+            checkMouseMessage.Checked = _config.TransparentMouseMessage;
 
 			// çp^[XgðìéB
@@ -498,5 +566,11 @@
 		}
 
-		private void checkMouseMessage_Click(object sender, System.EventArgs e)
+        private void trackBarUpdateSpeed_ValueChanged(object sender, EventArgs e)
+        {
+            _config.UpdateSpeed = trackBarUpdateSpeed.Value;
+            ConfigChanged();
+        }
+
+        private void checkMouseMessage_Click(object sender, System.EventArgs e)
 		{
 			_config.TransparentMouseMessage = checkMouseMessage.Checked;
@@ -508,6 +582,6 @@
 			if (linkWebSite.Text != "") {
 				Process.Start(linkWebSite.Text);
-			} 
-		}
+			}
+        }
 
 	}
Index: /trunk/MacFaceFloat/MacFaceApp.cs
===================================================================
--- /trunk/MacFaceFloat/MacFaceApp.cs	(revision 110)
+++ /trunk/MacFaceFloat/MacFaceApp.cs	(revision 111)
@@ -221,5 +221,6 @@
 			}
 
-			updateTimer.Start();
+            updateTimer.Interval = 100 * config.UpdateSpeed;
+            updateTimer.Start();
 
 			Microsoft.Win32.SystemEvents.SessionEnding += new Microsoft.Win32.SessionEndingEventHandler(SystemEvents_SessionEnding);
@@ -430,5 +431,7 @@
 				patternWindow.Refresh();
 			}
-		}
+
+            updateTimer.Interval = 100 * config.UpdateSpeed;
+        }
 
 		private void patternWindow_Closed(object sender, EventArgs e)